
Foreman - Bug #34292

The pxe_kernel_options are not handled in Preseed PXE templates

01/20/2022 01:39 PM - Oliver Freyermuth

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9041

  

Description

pxe_kernel_options are not handled in Preseed PXE templates. These are very useful for Debian-based systems, e.g. to set:

ethdetect/prompt_missing_firmware=false

which can only be set before the network is activated to load the preseed file (cf. 

https://community.theforeman.org/t/adding-pxe-boot-kernel-commandline-options-for-preseed-based-systems/25561 ).    

A PR to add this support is coming up.

Associated revisions

Revision 104bc8c0 - 01/21/2022 06:57 AM - Oliver Freyermuth

Fixes #34292 - support pxe_kernel_options in Preseed templates

History

#1 - 01/20/2022 01:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9041 added

#2 - 01/21/2022 06:57 AM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 01/21/2022 07:01 AM - Oliver Freyermuth

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|104bc8c053d26e5931a2369afd43134d277c0f51.

#4 - 02/15/2022 01:11 PM - Amit Upadhye

- Category set to Templates

#5 - 05/26/2022 09:43 AM - Amit Upadhye

- Subject changed from pxe_kernel_options are not handled in Preseed PXE templates to The pxe_kernel_options are not handled in Preseed PXE

templates
